//
//  ViewController.m
//  Eight Ball
//
//  Created by Anthony Mattox on 4/5/12.
//  Copyright (c) 2012 Friends of The Web. All rights reserved.
//

#import "ViewController.h"

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    triangle.alpha = 0;
    label.alpha = 0;
    phrases = [[NSArray alloc] initWithObjects:
               @"Yes",
               @"No",
               @"No Chance",
               @"Try\nAgain",
               @"Not Today",
               @"Maybe",
               @"For\nSure",
               nil];
}

- (void)viewDidUnload {
    [super viewDidUnload];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    return NO;
}


#pragma mark - interactions

- (IBAction) buttonPressed:(id)sender {
    [self switchPhrase];
}




#pragma mark - 

- (void) switchPhrase {
    button.enabled = NO;
    [UIView animateWithDuration:1 delay:0 options:UIViewAnimationCurveEaseOut animations:^{
        triangle.alpha = 0;
        label.alpha = 0;
    } completion:^(BOOL finished) {
        label.text = [self randomPhrase];
        [UIView animateWithDuration:1 delay:1 options:UIViewAnimationCurveEaseOut animations:^{
            triangle.alpha = 1;
            label.alpha = 1;
        } completion:^(BOOL finished) {
            button.enabled = YES;
        }];
    }];
}

- (NSString *) randomPhrase {
    return [phrases objectAtIndex:arc4random()%phrases.count];
}






@end
